@import "../vendors/neat/neat-helpers";

// Neat Overrides
// $column: 90px;
// $gutter: 30px;
// $grid-columns: 12;
// $max-width: 1200px;

// Neat Breakpoints

$medium-screen: 600px;
$large-screen: 900px;

$medium-screen-up: new-breakpoint(min-width $medium-screen 4);
$large-screen-up: new-breakpoint(min-width $large-screen 8);

$mobile: new-breakpoint(max-width 650px 12);
$tablet: new-breakpoint(min-width 651px 12);
$desktop: new-breakpoint(min-width 1025px 12);

// SIZES

$app-max-width: 1200px;

// COLORS


$mb-color-bggrey: #333;
$mb-color-bgblack: #000;
$mb-color-bgtransparent: rgba(0, 0, 0, .4);
$mb-color-bgtransparentHover: rgba(0, 0, 0, .8);
$mb-color-bgwhite: #fff;
$mb-color-bggrey-bit-lighter: #3a3a3a;
$mb-color-bglightgrey:#4a4a4a;
$mb-color-normaltext: #ddd;
$mb-color-fancy-turk:#00ADEF;

$mb-color-stdtextgrey:#d1d1d1;

// MIXIN TOOLS

@mixin vertical-align($position: relative) {
  position: $position;
  top: 50%;
  transform: translateY(-50%);
}


@mixin colwrap($cols){
  width:100%;
  overflow:auto;
  .col{
    @include span-columns((12/$cols) of 12);

    @include omega(#{$cols}n);
    margin-bottom: 1em;
  }

  @include media($mobile) {
    .col{
      @include span-columns(12 of 12);
      @include omega();
      margin-bottom: 1em;
    }
  }
}

.two-colwrap{
  @include colwrap(2);
}


@mixin fsize($size,$m:1,$t:1,$d:1){
  @include media($mobile) {
    font-size:$size * $m;
  }

  @include media($tablet) {
    font-size:$size * $t;
  }

  @include media($desktop) {
    font-size: $size * $d;
  }


}

@mixin bheight($height,$m:1,$t:1,$d:1){
  @include media($mobile) {
    height:$height * $m;
  }
  @include media($tablet) {
    height:$height * $t;
  }
  @include media($desktop) {
    height: $height * $d;
  }

}

@mixin bwidth($width,$m:1,$t:1,$d:1){
  @include media($mobile) {
    width:$width * $m;
  }
  @include media($tablet) {
    width:$width * $t;
  }
  @include media($desktop) {
    width: $width * $d;
  }

}
